Summary:	A BibTex editor for KDE
Name:		kbib
Version:	0.6.3
Release:	%mkrel 1
License:	GPLv2+
Group:		Publishing
Url:		http://user.digisurf.com.au/~thachly/kbib/index.html
Source0:	http://user.digisurf.com.au/~thachly/kbib/%{name}-%{version}.tar.gz
BuildRequires:	kdelibs-devel
BuildRequires:	libyaz-devel
BuildRequires:	libyazpp-devel >= 1.0.3
BuildRequires:	libxml-devel
BuildRequires:	libxslt-devel
BuildRequires:	libpoppler-qt-devel
BuildRequires:	desktop-file-utils
Requires:	bibtex2html
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
KBib is a bibliography reference manager for KDE. 
It uses BibTex as its native file format.

%prep
%setup -q

%build
%configure2_5x \
	--disable-rpath \
	--enable-pch \
	--enable-new-ldflags \
	--enable-nmcheck 

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std
mkdir -p %{buildroot}%{_datadir}/applications/kde
mv -f %{buildroot}%{_datadir}/applnk/Office/* %{buildroot}%{_datadir}/applications/kde

desktop-file-install --vendor="" \
	--remove-key='Encoding' \
	--add-category="Office;Publishing" \
	--add-only-show-in="KDE" \
	--dir %{buildroot}%{_datadir}/applications/kde %{buildroot}%{_datadir}/applications/kde/*

%find_lang %name

%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %name.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog TODO
%attr(755,root,root) %{_bindir}/%{name}*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/%{name}/*.xsl
%{_datadir}/apps/%{name}/*.xml
%{_datadir}/apps/%{name}/icons/hicolor/*x*/actions/*.png
%{_datadir}/apps/%{name}/*.rc
%{_datadir}/icons/hicolor/*x*/apps/*.png
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/mimelnk/text/*.desktop


%changelog
* Fri Dec 07 2007 Funda Wang <fundawang@mandriva.org> 0.6.3-1mdv2008.1
+ Revision: 116157
- New version 0.6.3

* Tue Sep 04 2007 Funda Wang <fundawang@mandriva.org> 0.6.2-2mdv2008.0
+ Revision: 79102
- Rebuild against latest poppler

* Tue Aug 14 2007 Funda Wang <fundawang@mandriva.org> 0.6.2-1mdv2008.0
+ Revision: 63221
- add translation files
- New version 0.6.2

* Fri Jun 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-2mdv2008.0
+ Revision: 37266
- rebuild for libyazpp

* Sat May 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2008.0
+ Revision: 28483
- new version
- set buildrequires on libpoppler-qt1-devel

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt against new yaz libs

* Sat Apr 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6-1mdv2008.0
+ Revision: 16597
- new version
- drop P0
- own missing files


* Fri Feb 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-3mdv2007.0
+ Revision: 118309
- regenerate desktop patch
- move desktop files to the right directory

* Thu Feb 08 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-2mdv2007.1
+ Revision: 118218
- fix menu entry
- enable yazpp support

* Sun Jan 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.4-1mdv2007.1
+ Revision: 111519
- Import kbib

